JUCE: MidiKeyboardState::Listener Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MidiKeyboardState::Listener Class Referenceabstract
juce_audio_basics » midi

Receives events from a MidiKeyboardState object. More...

`#include <juce_MidiKeyboardState.h>`

Inheritance diagram for MidiKeyboardState::Listener:

## Public Member Functions
virtual | ~Listener ()=default
virtual void | handleNoteOn (MidiKeyboardState *source, int midiChannel, int midiNoteNumber, float velocity)=0
| Called when one of the MidiKeyboardState's keys is pressed.
virtual void | handleNoteOff (MidiKeyboardState *source, int midiChannel, int midiNoteNumber, float velocity)=0
| Called when one of the MidiKeyboardState's keys is released.

## Detailed Description

Receives events from a MidiKeyboardState object.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual MidiKeyboardState::Listener::~Listener | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ handleNoteOn()

virtual void MidiKeyboardState::Listener::handleNoteOn | ( | MidiKeyboardState * | source,
|  | int | midiChannel,
|  | int | midiNoteNumber,
|  | float | velocity
| ) |  |
| pure virtual

Called when one of the MidiKeyboardState's keys is pressed.

This will be called synchronously when the state is either processing a buffer in its MidiKeyboardState::processNextMidiBuffer() method, or when a note is being played with its MidiKeyboardState::noteOn() method.

Note that this callback could happen from an audio callback thread, so be careful not to block, and avoid any UI activity in the callback.

Implemented in MidiMessageCollector.

## ◆ handleNoteOff()

virtual void MidiKeyboardState::Listener::handleNoteOff | ( | MidiKeyboardState * | source,
|  | int | midiChannel,
|  | int | midiNoteNumber,
|  | float | velocity
| ) |  |
| pure virtual

Called when one of the MidiKeyboardState's keys is released.

This will be called synchronously when the state is either processing a buffer in its MidiKeyboardState::processNextMidiBuffer() method, or when a note is being played with its MidiKeyboardState::noteOff() method.

Note that this callback could happen from an audio callback thread, so be careful not to block, and avoid any UI activity in the callback.

Implemented in MidiMessageCollector.

The documentation for this class was generated from the following file:

- juce_MidiKeyboardState.h